#ifndef _WRITE_H
#define _WRITE_H
#include "system.h"



//void Write_Init(uint16_t ArrayWrite[]);
void Write_Init(void);
void Read_Init(void);
void Array(u8* n,u8 *hour,u8* min,u16* tem,u16* hum,u16* red,u16 *blue,u16* white);

void  Analysis(u8* n,u16 *i,u8*rs485_rx_buf);
void Batch_synchronization(u8 *n,u8*rs485_rx_buf);
//void Batch_synchronization_ins(u8 *n);//批量同步
u8 Stage_Get(void);//得到阶段号
u8 timelong_Compare(void);//时长比较
int isAllZeros(u8 arr[], int size);//判断数组的数据是否全为0
#endif


